KTextEditor::MarkInterfaceExtension Class Referenceabstract

`#include <markinterfaceextension.h>`

## Public Types

enum | MarkChangeAction { MarkAdded =0, MarkRemoved =1 }

## Public Member Functions

unsigned int | markInterfaceExtensionNumber () const
virtual void | setPixmap (MarkInterface::MarkTypes, const QPixmap &)=0
virtual void | setDescription (MarkInterface::MarkTypes, const QString &)=0
virtual void | setMarksUserChangable (uint markMask)=0
virtual void | markChanged (KTextEditor::Mark mark, KTextEditor::MarkInterfaceExtension::MarkChangeAction action)=0

## Protected Member Functions

void | setMarkInterfaceExtensionDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateMarkInterfaceExtension

## Detailed Description

This is an interface for custom extensions of the MarkInterface.

It allows the developer to set pixmaps for custom marks and to indicate which marks are settable by the user, for example (in kate), as actions in the iconborder's popup menu.

Definition at line 39 of file markinterfaceextension.h.

The documentation for this class was generated from the following files:

- markinterfaceextension.h
- markinterfaceextension.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys